Criar um novo ticket

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
POST /ticketapi/1.0/api/v1/tickets

Para criar um ticket, envie um JSON com as seguintes propriedades:

Campo Obrigatório Descrição
title Sim Título curto do problema
description Sim Detalhamento completo
channel Sim Origem: Canal configurado
priority Sim BLOCKING, CRITICAL, HIGH, MEDIUM, LOW
projectId Sim ID numérico do projeto
clientId Sim ID numérico do cliente
responsibleId Sim ID do usuário responsável
application/json

Body

  • title string
  • description string
  • channel string
  • priority string
  • projectId number
  • clientId number
  • responsibleId number
  • tags array[object]
    Hide tags attributes Show tags attributes object
    • name string
    • tenantId number

Responses

  • 200 application/json

    Requisição processada com sucesso. Retorna os dados correspondentes ao filtro informado.

    Hide response attributes Show response attributes object
    • status string
    • message string
    • data object
      Hide data attributes Show data attributes object
      • id number
      • title string
  • 400 application/json

    Requisição inválida. Verifique a sintaxe do corpo e os campos obrigatórios.

    Hide response attribute Show response attribute object
    • status string
  • 401 application/json

    Token de autenticação ausente ou inválido. Envie o header Authorization: Bearer {token}.

    Hide response attribute Show response attribute object
    • status string
POST /ticketapi/1.0/api/v1/tickets
curl \
 --request POST 'https://api.neppo.com.br/ticketapi/1.0/api/v1/tickets' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"title":"Ajustar cor do botão principal","description":"O botão 'Comprar' deve ter a cor verde escuro.","channel":"PORTAL","priority":"MEDIUM","projectId":12,"clientId":543,"responsibleId":99,"tags":[{"name":"frontend","tenantId":1}]}'
Request example
{
  "title": "Ajustar cor do botão principal",
  "description": "O botão 'Comprar' deve ter a cor verde escuro.",
  "channel": "PORTAL",
  "priority": "MEDIUM",
  "projectId": 12,
  "clientId": 543,
  "responsibleId": 99,
  "tags": [
    {
      "name": "frontend",
      "tenantId": 1
    }
  ]
}
Response examples (200)
{
  "status": "SUCCESS",
  "message": "Ticket criado com sucesso",
  "data": {
    "id": 102,
    "title": "Ajustar cor do botão principal"
  }
}
Response examples (400)
{
  "status": "Bad Request"
}
Response examples (401)
{
  "status": "Unauthorized"
}